#include "testlib.h"
#include <string>
using namespace std;

int main(int argc, char *argv[])
{
	registerValidation();
	
    string s1 = inf.readLine("[01]{2,10000}");
    string s2 = inf.readLine("[01]{2,10000}");
    if(s1 == s2) quitf(_fail, "Words are equal\n");
    if(s1.length() != s2.length()) quitf(_fail, "Words lengths are not equal\n");
	inf.readEof();
}
